package com.red.circle.console.app.service.app.activity;

import com.red.circle.console.app.dto.clienobject.app.activity.register.ResidentRegisterRewardConfigCO;
import com.red.circle.console.app.dto.cmd.app.activity.register.ResidentRegisterRewardConfigSaveCmd;

/**
 * 常驻注册奖励管理.
 */
public interface ResidentRegisterRewardService {

  ResidentRegisterRewardConfigCO getConfig(String sysOrigin);

  void saveConfig(ResidentRegisterRewardConfigSaveCmd cmd);

  void resetConfig(String sysOrigin);
}
